package de.umr.ep.operators.ddl;

import de.umr.ep.common.Attribute;

import java.util.List;

/**
 * Created by seidemann on 24.01.2017.
 */
public class Create extends DDLOperator {

    protected String name;
    protected List<Attribute> schema;

    public Create(String name, List<Attribute> schema) {
        this.name = name;
        this.schema = schema;
    }

    public String getName() {
        return name;
    }

    public List<Attribute> getSchema() {
        return schema;
    }
}
