package de.umr.ep.operators.ddl;

import de.umr.ep.common.Attribute;
import de.umr.ep.queryengine.LogicalOperator;

import java.util.Arrays;
import java.util.List;

/**
 * Created by seidemann on 24.01.2017.
 */
public class Insert extends DDLOperator {

    protected Object[] event;
    protected String name;

    public Insert(String name, Object[] event) {
        this.name = name;
        this.event = event;
    }

    public Object[] getEvent() {
        return event;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return "INSERT INTO " + name + " values(" + Arrays.toString(event) + ")";
    }
    
    

}
