package de.umr.ep.queryengine.predicates.spatial;

import de.umr.ep.queryengine.predicates.Term;

/**
 * Defines an spatial operation term.
 *
 * @author Marc Seidemann
 */
public class SpatialOperationTerm extends SpatialOperation {

    /**
     * The custom spatial operation.
     */
    protected Term term;

    /**
     * Creates a new operation term.
     *
     * @param term the term
     */
    public SpatialOperationTerm(Term term) {
        this.term = term;
    }

    @Override
    public SpatialOperation clone() {
        return new SpatialOperationTerm(term);
    }
}
