package de.umr.jepc.v2.api.bridge;

import de.umr.ep.event.Event;
import de.umr.jepc.v2.api.EPProvider;

/**
 * Callback used by EPA-instances to report results
 * @author Michael Körber
 *
 */
public interface EPACallback {
	
    /**
     * Reports results to the running {@link EPProvider}
     * @param event the result event
     */
	void receive( Event event );

}
