package de.umr.jepc.v2.api.epa.aggregates;

import de.umr.jepc.v2.api.epa.window.Window;

/**
 * Calculates the number of events currently valid.
 * Validity is determined by the applied {@link Window}-EPA.
 * @author Michael Körber
 *
 */
public class Count extends Aggregate {

	private static final long serialVersionUID = 1L;

	/**
     * @param attributeIn The attribute count on
     * @param attributeOut The name of the output attribute
     */
	public Count(String attributeIn, String attributeOut) {
		super(attributeIn, attributeOut);
	}

}
