package de.umr.jepc.v2.api.epa.pattern.symbol;

import de.umr.ep.event.SchemaException;

/**
 * Indicates that a specific variable could not be found.
 * @author Michael Körber
 *
 */
public class NoSuchVariableException extends SchemaException {

    private static final long serialVersionUID = 1L;

    public NoSuchVariableException(String message, Throwable cause) {
        super(message, cause);
    }

    public NoSuchVariableException(String message) {
        super(message);
    }
}
