package de.umr.jepc.v2.api.expression;

/**
 * Interface for any expression used in JEPC.
 * @author Michael Körber
 *
 */
public interface Expression {
	
	/**
	 * @return the arity of this expression
	 */
	int getArity();
	
	/**
	 * @param index the index of the child-expression
	 * @return The index-th child-expression 
	 */
	Expression getInput(int index);

}
