package de.umr.jepc.v2.api.expression.arithmetic.atomic;

import de.umr.ep.common.Attribute.DataType;

/**
 * A constant string value
 * @author Michael Körber
 */
public class StringConstant extends Constant<String> {

    /**
     * @param value The value
     */
	public StringConstant(String value) {
		super(value,DataType.STRING);
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String toString() {
		return value == null ? "null" : "'" + value + "'";
	}
}
