package de.umr.jepc.v2.api.expression.logical;

import de.umr.jepc.v2.api.expression.BooleanExpression;
import de.umr.jepc.v2.api.expression.LogicalExpression;
import de.umr.jepc.v2.api.expression.base.AbstractExpression;

/**
 * Logical NOT. Consumes a boolean expression and negates its result
 * @author Michael Körber
 *
 */
public class Not extends AbstractExpression<BooleanExpression> implements LogicalExpression {

	/**
	 * @param input the input expression
	 */
	public Not(BooleanExpression input) {
		super( input );
	}
}
