package de.umr.jepc.v2.api.expression.logical;

import de.umr.jepc.v2.api.expression.BooleanExpression;
import de.umr.jepc.v2.api.expression.LogicalExpression;
import de.umr.jepc.v2.api.expression.base.AbstractExpression;

/**
 * Logical AND: Evaluates to true if at least one of the input-expressions evaluates to true
 * @author Michael Körber
 *
 */
public class Or extends AbstractExpression<BooleanExpression> implements LogicalExpression {

    /**
     * @param left the first input
     * @param right the second input
     */
	public Or(BooleanExpression left, BooleanExpression right) {
		super( left, right );
	}
}
