package de.umr.jepc.v2.expressions.arithmetic.field;

import de.umr.ep.common.Attribute.DataType;
import de.umr.ep.event.Event;
import de.umr.jepc.v2.bindings.BoundVariables;

public class EVDoubleField extends EVNumericField {

	public EVDoubleField(int index) {
		super(index, DataType.DOUBLE);
	}

	@Override
	public Number eval(Event event, BoundVariables bindings) {
		return event.get(index, Double.class);
	}
}
