package de.umr.jepc.v2.expressions.arithmetic.field;

import de.umr.ep.common.Attribute.DataType;
import de.umr.jepc.v2.expressions.arithmetic.EVArithmeticExpression;

public abstract class EVField<T> implements EVArithmeticExpression<T> {
	
	protected final int index;
	
	protected final DataType type;

	public EVField(int index, DataType type) {
		this.index = index;
		this.type = type;
	}

	@Override
	public final DataType getType() {
		return type;
	}
}
