package de.umr.jepc.v2.expressions.arithmetic.field;

import de.umr.ep.common.Attribute.DataType;
import de.umr.ep.event.Event;
import de.umr.jepc.v2.bindings.BoundVariables;
import de.umr.jepc.v2.expressions.arithmetic.EVStringExpression;

public class EVStringField extends EVField<String> implements EVStringExpression {

	public EVStringField(int index) {
		super(index, DataType.STRING);
	}

	@Override
	public String eval(Event event, BoundVariables bindings) {
		return event.get(index, String.class);
	}

}
