package de.umr.jepc.v2.expressions.arithmetic.numeric;

import de.umr.ep.common.Attribute.DataType;
import de.umr.jepc.v2.expressions.arithmetic.EVNumericExpression;

public class EVATan2 extends EVBinaryNumericExpression {
	
	public EVATan2(EVNumericExpression y, EVNumericExpression x)  {
		super( y, x, DataType.DOUBLE, (Number y1, Number x1) -> Math.atan2(y1.doubleValue(),x1.doubleValue()) );
	}
}
