package de.umr.jepc.v2.expressions.arithmetic.numeric;

import de.umr.ep.common.Attribute.DataType;
import de.umr.jepc.v2.expressions.EvaluableExpression;
import de.umr.jepc.v2.expressions.arithmetic.EVNumericExpression;
import de.umr.jepc.v2.expressions.util.EVAbstractBinaryExpression;

public abstract class EVBinaryNumericExpression extends EVAbstractBinaryExpression<Number, Number, Number>
		implements EVNumericExpression {
	
	private final DataType type;

	public EVBinaryNumericExpression(EvaluableExpression<Number> left, EvaluableExpression<Number> right, DataType type, OperatorImpl<Number, Number, Number> impl) {
		super(left, right, impl);
		this.type = type;
	}

	@Override
	public DataType getType() {
		return type;
	}

}
