package de.umr.jepc.v2.expressions.arithmetic.numeric;

import de.umr.ep.common.Attribute.DataType;
import de.umr.jepc.v2.expressions.arithmetic.EVNumericExpression;

public class EVLog extends EVBinaryNumericExpression {
	
	public EVLog(EVNumericExpression left, EVNumericExpression right)  {
		super( left, right, DataType.DOUBLE, (Number x, Number y) -> Math.log(x.doubleValue()) / Math.log(y.doubleValue()) );
	}
}
