package de.umr.jepc.v2.expressions.predicate.string;

import de.umr.jepc.v2.expressions.arithmetic.EVStringExpression;
import de.umr.jepc.v2.expressions.predicate.EVPredicate;
import de.umr.jepc.v2.expressions.util.EVAbstractBinaryExpression;

public class EVStringLessEq extends EVAbstractBinaryExpression<String, String, Boolean> implements EVPredicate {

	public EVStringLessEq(EVStringExpression left, EVStringExpression right) {
		super(left, right, new OperatorImpl<String, String, Boolean>() {

			@Override
			public Boolean apply(String l, String r) {
				return l.compareTo(r) <= 0;
			}
		});
	}

}
