package de.umr.jepc.v2.ql.impl.bool;

import org.kohsuke.MetaInfServices;

import de.umr.ep.event.EventSchema;
import de.umr.jepc.v2.api.epa.pattern.symbol.Bindings;
import de.umr.jepc.v2.api.expression.logical.True;
import de.umr.jepc.v2.expressions.bool.EVTrue;
import de.umr.jepc.v2.ql.ExpressionTranslator;
import de.umr.jepc.v2.ql.Translator;

@MetaInfServices
public class TrueTranslator extends Translator<True, EVTrue> {

	public TrueTranslator() {
		super(True.class, EVTrue.class);
	}
	
	@Override
	protected EVTrue process(True in, ExpressionTranslator translator, EventSchema schema, Bindings bindings) {
		return new EVTrue();
	}
}
