package de.umr.jepc.v2.bridges.nat;

import org.kohsuke.MetaInfServices;

import de.umr.jepc.v2.api.bridge.EPBridge;
import de.umr.jepc.v2.api.bridge.EPBridgeFactory;

@MetaInfServices
public class NativeBridgeFactory implements EPBridgeFactory {

	@Override
	public EPBridge createBridge() {
		return new NativeBridge();
	}

	@Override
	public String toString() {
		return "NativeBridge Factory";
	}
	
	

}
