package de.umr.jepc.v2.addons.epa.tpstream.evaluation.util.data.situations.duration;

public class BooleanAttributeValue {
	
	private final boolean value;
	
	private int eventsLeft;

	BooleanAttributeValue(boolean value, int eventsLeft) {
		this.value = value;
		this.eventsLeft = eventsLeft;
	}
	
	public boolean getValue() {
		if ( !isDataLeft() )
			throw new IllegalStateException("Lifespan reached!");
		this.eventsLeft--;
		return value;
	}
	
	public boolean isDataLeft() {
		return eventsLeft > 0;
	}
	
}
