package de.umr.jepc.v2.addons.epa.tpstream.evaluation.util.data.situations.duration;

import java.util.Random;

public class GaussianDurationGenerator implements DurationGenerator {
	
	private final double mean;
	
	private final double stddev;

	public GaussianDurationGenerator(double mean, double stddev) {
		this.mean = mean;
		this.stddev = stddev;
	}

	@Override
	public int nextDuration(Random rand) {
		return Math.max(1, (int) (rand.nextGaussian() * stddev + mean));
	}

}
