package de.umr.ep.queryengine.predicates.spatial;

/**
 * Operator for envelope calculation of geometries.
 *
 * @author Marc Seidemann
 */
public class SpatialEnvelope extends SpatialOperation {

    /**
     * The spatial operation.
     */
    private SpatialOperation operation;

    /**
     * Creates a new spatial envelope operator.
     *
     * @param operation the input operation
     */
    public SpatialEnvelope(SpatialOperation operation) {
        this.operation = operation;
    }

    @Override
    public SpatialOperation clone() {
        return new SpatialEnvelope(operation.clone());
    }
}
