package de.umr.ep.queryengine.predicates.spatial;

import com.vividsolutions.jts.geom.Geometry;
import de.umr.ep.common.Attribute;
import de.umr.ep.common.CustomOperation;

import java.util.List;

/**
 * Abstraction of a spatial operation.
 *
 * @author Marc Seidemann
 */
public abstract class SpatialOperation extends CustomOperation<Geometry> {

    @Override
    public Attribute.DataType getType(List<Attribute> s) {
        return Attribute.DataType.GEOMETRY;
    }

    @Override
    public abstract SpatialOperation clone();
}
