package de.umr.jepc.v2.addons.epa.topk;

public class MinTopKWindow {

	private long endingTime;
	private TopKEvent lowerBoundPointer;
	private int topKCounter;
	private int id;
	private static int ids = 0;

	public MinTopKWindow(long endingTime) {
		this.endingTime = endingTime;
		this.lowerBoundPointer = null;
		this.topKCounter = 0;
		this.id = ids++;
	}

	public long getEndingTime() {
		return endingTime;
	}

	public int getTopKCounter() {
		return topKCounter;
	}

	public void incrementTopKCounter() {
		topKCounter++;
	}

	public TopKEvent getLowerBoundPointer() {
		return lowerBoundPointer;
	}

	public void setLowerBoundPointer(TopKEvent lowerBoundPointer) {
		this.lowerBoundPointer = lowerBoundPointer;
	}

	public String toString() {
		return "EndingTime: " + endingTime + " LBP: " + lowerBoundPointer + " TKC: " + topKCounter;
	}

	public int getId() {
		return id;
	}
}
