/**
 * 
 */
package de.umr.jepc.v2.addons.epa.tpstream.aggregates;

import de.umr.jepc.v2.api.epa.aggregates.Aggregate;

/**
 * Retrieves the value of the given attribute for 
 * the last event in the current situation.
 * @author Michael Körber
 *
 */
public class Last extends Aggregate {
    
    private static final long serialVersionUID = 1L;

    /**
     * @param attributeIn The attribute-name of the input-event
     * @param attributeOut The name of the output attribute
     */
    public Last(String attributeIn, String attributeOut) {
        super(attributeIn, attributeOut);
    }
}
