package de.umr.jepc.v2.addons.epa.tpstream.processor;

import de.umr.ep.event.Event;
import de.umr.jepc.v2.addons.epa.TPStream;
import de.umr.jepc.v2.api.epa.pattern.Partition;

/**
 * Abstarcts a processor for {@link TPStream}. A processor manages
 * all the computation and multiple {@link Partition partitions}
 * @author Michael Körber
 *
 */
public interface Processor {
    /**
     * Processes the given event
     * @param event the event to process
     */
	void process( Event event );
}
