package de.umr.jepc.v2.expressions;

import de.umr.ep.event.Event;
import de.umr.jepc.v2.bindings.BoundVariables;

public interface EvaluableExpression<T> {
	
	default T eval( Event event ) {
		return eval(event, BoundVariables.EMPTY_BINDINGS);
	}
	
	T eval( Event event, BoundVariables bindings );

}
