package de.umr.jepc.v2.expressions.arithmetic.field;

import de.umr.ep.common.Attribute.DataType;
import de.umr.ep.event.Event;
import de.umr.jepc.v2.bindings.BoundVariables;

public class EVByteField extends EVNumericField {

	public EVByteField(int index) {
		super(index, DataType.BYTE);
	}

	@Override
	public Number eval(Event event, BoundVariables bindings) {
		return event.get(index, Byte.class);
	}
}
