package de.umr.jepc.v2.expressions.arithmetic.numeric;

import de.umr.ep.common.Attribute.DataType;
import de.umr.jepc.v2.expressions.EvaluableExpression;
import de.umr.jepc.v2.expressions.arithmetic.EVNumericExpression;
import de.umr.jepc.v2.expressions.util.EVAbstractUnaryExpression;

public abstract class EVUnaryNumericExpression extends EVAbstractUnaryExpression<Number, Number>
		implements EVNumericExpression {
	
	private final DataType type;

	public EVUnaryNumericExpression(EvaluableExpression<Number> input, DataType type, OperatorImpl<Number, Number> impl) {
		super(input, impl);
		this.type = type;
	}

	@Override
	public DataType getType() {
		return type;
	}
}
