package de.umr.jepc.v2.expressions.bool;

import de.umr.ep.event.Event;
import de.umr.jepc.v2.bindings.BoundVariables;

public class EVOr implements EVBooleanExpression {

	private final EVBooleanExpression left;
	
	private final EVBooleanExpression right;
	
	public EVOr(EVBooleanExpression left, EVBooleanExpression right) {
		this.left = left;
		this.right = right;
	}

	/**
	 * @{inheritDoc}
	 */
	@Override
	public Boolean eval(Event event, BoundVariables bindings) {
		return left.eval(event, bindings) || right.eval(event, bindings);
	}
}
