package de.umr.jepc.v2.ql.impl.bool;

import org.kohsuke.MetaInfServices;

import de.umr.ep.event.EventSchema;
import de.umr.jepc.v2.api.epa.pattern.symbol.Bindings;
import de.umr.jepc.v2.api.expression.logical.False;
import de.umr.jepc.v2.expressions.bool.EVFalse;
import de.umr.jepc.v2.ql.ExpressionTranslator;
import de.umr.jepc.v2.ql.Translator;

@MetaInfServices
public class FalseTranslator extends Translator<False, EVFalse> {

	public FalseTranslator() {
		super(False.class, EVFalse.class);
	}
	
	@Override
	protected EVFalse process(False in, ExpressionTranslator translator, EventSchema schema, Bindings bindings) {
		return new EVFalse();
	}
}
