package de.umr.jepc.v2.expressions;

import org.junit.Assert;
import org.junit.Test;

import de.umr.jepc.v2.expressions.arithmetic.constant.EVIntConstant;
import de.umr.jepc.v2.expressions.arithmetic.constant.EVLongConstant;
import de.umr.jepc.v2.expressions.arithmetic.numeric.EVAdd;

public class EvaluableExpressionTest {

	@Test
	public void test() {
		EvaluableExpression<Number> test = new EVAdd( new EVAdd( new EVLongConstant(21L), new EVIntConstant(20)), new EVIntConstant(1));
		Assert.assertEquals(42L, test.eval(null, null));
	}

}
