/**
 * 
 */
package de.umr.jepc.v2.federated.api.util;

import de.umr.ep.common.EPException;
import de.umr.jepc.v2.federated.api.provider.Resource;

/**
 * Exception for any error happing when working with {@link Resource resources}
 * @author Michael Körber
 *
 */
public class ResourceException extends EPException {

    private static final long serialVersionUID = 1L;

    /**
     * @param message
     */
    public ResourceException(String message) {
        super(message);
    }

    /**
     * @param message
     * @param cause
     */
    public ResourceException(String message, Throwable cause) {
        super(message, cause);
    }

}
