package de.umr.jepc.v2.bridges.nat.epn;

import de.umr.ep.event.Event;
import de.umr.jepc.v2.api.bridge.EventChannel;
import de.umr.jepc.v2.bridges.nat.epa.NativeOperator;

public class OperatorNode extends StreamNode {
	
	private final NativeOperator operator;

	public OperatorNode( NativeOperator op ) {
		super(op.getSchema());
		this.operator = op;
	}
	
	public void process( EventChannel input, Event event ) {
		this.operator.process(input, event);
	}
}
