#!/bin/bash

counts=( 300000000 )
windows=( 500 1000 2000 5000 10000 20000 50000 100000 )
scenarios=( "deserialize" "tpsll" "iseq" "esperclassic" "esperll")

. classpath.sh

for j in "${counts[@]}"
do
  for i in "${windows[@]}"
  do
    for k in "${scenarios[@]}"
    do
java -Xms6g -Xmx6g -Dfile.encoding=UTF-8 -classpath $CLASSPATH de.umr.jepc.v2.addons.epa.tpstream.evaluation.processingTime.DisconnectedPattern $k $j $i
    done
  done
done

