/**
 * 
 */
package de.umr.jepc.v2.addons.epa.tpstream.evaluation.util;

import de.umr.ep.event.Event;
import de.umr.jepc.v2.addons.epa.tpstream.Situation;
import de.umr.jepc.v2.addons.epa.tpstream.matcher.Matcher.MatcherCallback;
import de.umr.jepc.v2.api.provider.EventSink;

/**
 * @author Michael Körber
 *
 */
public class CountingSink implements EventSink, MatcherCallback {

    public long count = 0;
    
    /**
     * {@inheritDoc}
     */
    @Override
    public void receiveEvent(Event event) {
        count++;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void onResult(Situation[] result, long currentTime) {
        count++;
    }
}
