package de.umr.jepc.v2.addons.epa.tpstream.evaluation.util.data.situations.duration;

import java.util.Random;

public class BooleanAttributeGenerator {
	
	private boolean currentValue = true;
	
	private final DurationGenerator trueDuration;
	
	private final DurationGenerator falseDuration;

	public BooleanAttributeGenerator(DurationGenerator trueDuration, DurationGenerator falseDuration) {
		this.trueDuration = trueDuration;
		this.falseDuration = falseDuration;
	}
	
	public BooleanAttributeValue next(Random rand) {
		currentValue = !currentValue;
		int duration = !currentValue ? falseDuration.nextDuration(rand) : trueDuration.nextDuration(rand);
		return new BooleanAttributeValue(currentValue, duration);
	}
	
	

}
