package de.umr.jepc.v2.addons.epa.tpstream.evaluation.util.iseq.util;

import java.util.List;

import de.umr.jepc.v2.addons.epa.tpstream.Situation;

public class ArrivalAction {

	private final int[] checkBuffers;
	
	private final boolean isTrigger;
	
	public ArrivalAction( boolean isTrigger, int... checkBuffers ) {
		this.checkBuffers = checkBuffers;
		this.isTrigger = isTrigger;
	}
	
	public boolean doBuffer( List<Situation>[] buffers ) {
		for ( int i : checkBuffers )
			if ( buffers[i].isEmpty() )
				return false;
		return true;
	}

	public boolean isTrigger(List<Situation>[] buffers) {
		return isTrigger && doBuffer(buffers);
	}
}
